Bug 238779 - graphics/py-svgwrite: upgrade to upstream 1.3.0 and add EXAMPLES option
Summary: graphics/py-svgwrite: upgrade to upstream 1.3.0 and add EXAMPLES option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-23 19:10 UTC by george
Modified: 2019-07-15 17:43 UTC (History)
0 users

See Also:


Attachments
Patch to update to 1.3.0 and add EXAMPLES option. (1.13 KB, patch)
2019-06-23 19:10 UTC, george
no flags Details | Diff
Update to upstream version 1.3.1 instead of 1.3.0. (1.13 KB, patch)
2019-06-29 19:20 UTC, george
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description george 2019-06-23 19:10:17 UTC
Created attachment 205300 [details]
Patch to update to 1.3.0 and add EXAMPLES option.

Upgrade to upstream's latest version 1.3.0 and add option to install examples.
Comment 1 george 2019-06-23 19:11:48 UTC
Possibly assign this to lwhsu@freebsd.org for review.
Comment 2 george 2019-06-29 19:20:25 UTC
Created attachment 205418 [details]
Update to upstream version 1.3.1 instead of 1.3.0.

Update to upstream version 1.3.1 instead of 1.3.0.
Comment 3 george 2019-06-29 19:20:48 UTC
Upstream has released version 1.3.1.
Comment 4 commit-hook freebsd_committer 2019-06-30 21:08:18 UTC
A commit references this bug:

Author: swills
Date: Sun Jun 30 21:07:51 UTC 2019
New revision: 505495
URL: https://svnweb.freebsd.org/changeset/ports/505495

Log:
  graphics/py-svgwrite: upgrade to upstream 1.3.0 and add EXAMPLES option

  PR:		238779
  Submitted by:	george@m5p.com (maintainer)

Changes:
  head/graphics/py-svgwrite/Makefile
  head/graphics/py-svgwrite/distinfo
Comment 5 Steve Wills freebsd_committer 2019-06-30 21:08:52 UTC
Committed, thanks!
Comment 6 george 2019-07-07 15:17:10 UTC
Thanks for committing the update to upstream version 1.3.0, but by June 30 (when that update was committed), I had already proposed a different patch that would upgrade to upstream version 1.3.1 (the second attached patch).  Could you possibly reopen this bug and commit that change?  Thanks for your assistance.
Comment 7 commit-hook freebsd_committer 2019-07-15 14:19:51 UTC
A commit references this bug:

Author: swills
Date: Mon Jul 15 14:19:21 UTC 2019
New revision: 506667
URL: https://svnweb.freebsd.org/changeset/ports/506667

Log:
  graphics/py-svgwrite: update to 1.3.1

  PR:		238779
  Submitted by:	george@m5p.com (maintainer)

Changes:
  head/graphics/py-svgwrite/Makefile
  head/graphics/py-svgwrite/distinfo
Comment 8 Steve Wills freebsd_committer 2019-07-15 14:22:52 UTC
Committed, thanks!
Comment 9 george 2019-07-15 17:43:38 UTC
I appreciate your assistance!